Subject: [bug#76503] [GCD] Migrating repositories, issues, and patches to Codeberg

From: Vagrant Cascadian <[email-masked]>
Date: Tue, 13 May 2025 08:50:36 -0700

On 2025-05-13, Greg Hogan wrote:
> On Tue, May 13, 2025 at 9:32 AM pinoaffe <[email-masked]> wrote:
>>
>> If someone prefers that a GCD be withdrawn but would find its acceptance
>> acceptable, they should probably "vote" accept, even if their preference
>> is quite strong
>
> This preference is indicated by not voting. If 75% of team members
> "vote" this way then the proposal fails.

Do you mean if 75% of team members simply do not reply, the proposal
fails? ... as a strategy when their preference is strongly against
seeing the decision carried out, but not so strong as to completely stop
the decision (e.g. "I disapprove")?

I initially read you as meaning 75% of team members reply with "I
accept", in which it would pass:

  https://git.savannah.gnu.org/cgit/guix/guix-consensus-documents.git/tree/001-gcd-process.md#n184

  - “I support”, meaning that one supports the proposal;
  - “I accept”, meaning that one consents to the implementation of the
    proposal;
  - “I disapprove”, meaning that one opposes the implementation of the
    proposal.  A team member sending this reply should have made constructive
    comments during the discussion period.

  The GCD is *accepted* if (1) at least 25% of all team members–as of
  the start of the “Deliberation Period”–send a reply, and (2) no one
  disapproves.  In other cases, the GCD is *withdrawn*.

The "I accept" replies counts towards the 25% quorum.

If only 24.99% of team members state "I support" or "I accept", then the
proposal fails. Or if a single team member states "I disapprove", it
fails.

Admittedly, an overwhelmingly large number of "I accept" with few or no
"I support" likely indicates something might be a bit off ... or just
some ambivalence and/or low stakes.

live well,
  vagrant